Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.delegation
Class ProcessPrivilegeMsg

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.MessageAgent
                  |
                  +--com.jxml.qare.qhome.delegation.ProcessPrivilegeMsg

All Implemented Interfaces:
  Item

public class ProcessPrivilegeMsg
extends MessageAgent

Field Summary
`static String` | `CWD`
`int` | `delegationCount`
`int` | `delegationLimit`
`String` | `delegee`
`String` | `grandGrantor`
`DBLocalPrivileges.Row` | `lpRow`
`int` | `newDelegeeDepth`
`ArrayList` | `newList`
`String` | `pname`
`ArrayList` | `privileges`
`String` | `proj`
`String` | `projectName`
`String` | `system`

Fields inherited from class com.jxml.qare.qhome.MessageAgent
`inbox, orginatingSession, sourceESDO`

Constructor Summary
`ProcessPrivilegeMsg()`
`ProcessPrivilegeMsg(String delegee, String system, List privileges, String projectName, String grantor, int limit, int newDelegeeDepth)`

Method Summary
`DBExportDelegation` | `createExport(String localUser, String apps, String privilege, String system, String grandGrantor, String delegee, String projectName, String parentProject, Date acqDate, int delegationLimit, int newDelegeeDepth)`
`void` | `eval(Map properties, List args, ClassLoader cl)` This method is overidden by classes which support message display in inbox.
`String` | `getAction()` This method is overidden by classes to specify the action defined by this message.
`QSchemaFactory` | `getFactory()` This method is overidden by classes which use the process/reply logic.
`void` | `process(DBSession.Row qSession, QAppPlugin qapp)` This method is overidden by classes which use the process/reply logic.
`String` | `processPrivilege(DBSession.Row qSession)`

Methods inherited from class com.jxml.qare.qhome.MessageAgent
`lastSend, lastSend, send, send, send, send, send, send, send, signed, timeout`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegee

    public String delegee

### system

    public String system

### newDelegeeDepth

    public int newDelegeeDepth

### delegationLimit

    public int delegationLimit

### delegationCount

    public int delegationCount

### projectName

    public String projectName

### grandGrantor

    public String grandGrantor

### privileges

    public ArrayList privileges

### newList

    public ArrayList newList

### CWD

    public static String CWD

### proj

    public String proj

### pname

    public String pname

### lpRow

    public DBLocalPrivileges.Row lpRow

Constructor Detail

### ProcessPrivilegeMsg

    public ProcessPrivilegeMsg()

### ProcessPrivilegeMsg

    public ProcessPrivilegeMsg(String delegee,
                               String system,
                               List privileges,
                               String projectName,
                               String grantor,
                               int limit,
                               int newDelegeeDepth)

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `SDO`
  This method is overidden by classes which support message display in inbox.
  Overrides:
    `eval` in class `SDO`

### getAction

    public String getAction()

  Description copied from class: `SDO`
  This method is overidden by classes to specify the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### getFactory

    public QSchemaFactory getFactory()

  Description copied from class: `SDO`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `getFactory` in class `SDO`

### process

    public void process(DBSession.Row qSession,
                        QAppPlugin qapp)
                 throws Exception

  Description copied from class: `MessageAgent`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `process` in class `MessageAgent`

### createExport

    public DBExportDelegation createExport(String localUser,
                                           String apps,
                                           String privilege,
                                           String system,
                                           String grandGrantor,
                                           String delegee,
                                           String projectName,
                                           String parentProject,
                                           Date acqDate,
                                           int delegationLimit,
                                           int newDelegeeDepth)

### processPrivilege

    public String processPrivilege(DBSession.Row qSession)
                            throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD